QXmpp Version:0.3.91

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends
QXmppServerExtension Class Reference
Core

The QXmppServerExtension class is the base class for QXmppServer extensions. More...

`#include <QXmppServerExtension.h>`

Inheritance diagram for QXmppServerExtension:

List of all members.

## Public Member Functions
QString | extensionName () const
virtual QStringList | discoveryFeatures () const
virtual QStringList | discoveryItems () const
virtual bool | handleStanza (const QDomElement &stanza)
virtual QSet< QString > | presenceSubscribers (const QString &jid)
virtual QSet< QString > | presenceSubscriptions (const QString &jid)
virtual QVariantMap | statistics () const
virtual void | setStatistics (const QVariantMap &statistics)
virtual bool | start ()
virtual void | stop ()
| Stops the extension.
## Protected Member Functions
QXmppServer * | server ()
| Returns the server which loaded this extension.
## Friends
class | QXmppServer

## Detailed Description

The QXmppServerExtension class is the base class for QXmppServer extensions.

If you want to extend QXmppServer, for instance to support an IQ type which is not natively supported, you can subclass QXmppServerExtension and implement handleStanza(). You can then add your extension to the client instance using QXmppServer::addExtension().

## Member Function Documentation

QStringList QXmppServerExtension::discoveryFeatures | ( |  | ) | const`[virtual]`

Returns the discovery features to add to the server.

QStringList QXmppServerExtension::discoveryItems | ( |  | ) | const`[virtual]`

Returns the discovery items to add to the server.

QString QXmppServerExtension::extensionName | ( |  | ) | const

Returns the extension's name.

bool QXmppServerExtension::handleStanza | ( | const QDomElement & | stanza | ) | `[virtual]`

Handles an incoming XMPP stanza.

Return true if no further processing should occur, false otherwise.

Parameters:

  stanza | The received stanza.

QSet< QString > QXmppServerExtension::presenceSubscribers | ( | const QString & | jid | ) | `[virtual]`

Returns the list of subscribers for the given JID.

Parameters:

  jid |

QSet< QString > QXmppServerExtension::presenceSubscriptions | ( | const QString & | jid | ) | `[virtual]`

Returns the list of subscriptions for the given JID.

Parameters:

  jid |

void QXmppServerExtension::setStatistics | ( | const QVariantMap & | statistics | ) | `[virtual]`

Sets the extension's statistics.

bool QXmppServerExtension::start | ( |  | ) | `[virtual]`

Starts the extension.

Return true if the extension was started, false otherwise.

QVariantMap QXmppServerExtension::statistics | ( |  | ) | const`[virtual]`

Returns the extension's statistics.

The documentation for this class was generated from the following files:

- QXmppServerExtension.h
- QXmppServerExtension.cpp

All Classes Functions Enumerations Enumerator Properties